package com.xhkjedu.sapi.service.cloud;

import com.xhkjedu.sapi.mapper.cloud.CloudMapper;
import com.xhkjedu.sapi.model.cloud.TCloud;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ywx
 * @classname CloudService
 * @description
 * @date 2021/6/30 14:49
 **/
@Service
public class CloudService {
    @Resource
    private CloudMapper cloudMapper;

    //详情
    public TCloud findById(){
        return cloudMapper.getCloud();
    }

    //修改主题
    public void updateTheme(TCloud cloud) {
        cloudMapper.updateTheme(cloud);
    }

    //修改基础信息
    public void updateInfo(TCloud cloud){
        cloudMapper.updateInfo(cloud);
    }

    //区域学段列表
    public List<Integer> listLevel() {
        return cloudMapper.listLevel();
    }
}
